# Interface IFilter

All Known Implementing Classes:
  `AcceptAllFilter`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface IFilter
Interface for filters. Can accept or reject items.

Since:
  3.1

## Method Summary

Modifier and Type
Method
Description
`boolean`
`select(Object toTest)`
Determines if the given object passes this filter.

## Method Details

### select

boolean select(Object toTest)
Determines if the given object passes this filter.

Parameters:
  `toTest` - object to compare against the filter
Returns:
  `true` if the object is accepted by the filter.